function f_F = function_for_dominators(u,v)
global A s t G

f_s_path = shortestpath(G,u,v);
f_Im = find(s==u); % Im = Indices matrix
f_Vm = t(1,f_Im); % Vm = Value matrix
f_Pm = [];% Pm = Paths matrix
f_PLm = [];% PLm = Path Lengths matrix
for i=1:size(f_Vm,2)
    if ismember([f_Vm(1,i) u],A,'rows') == 1
        f_H = rmedge(G,f_Vm(1,i),u);
        f_B = bfsearch(f_H,f_Vm(1,i));
        f_p = sum(f_B(:,1)==v);
        if f_p ~= 0
            f_PLm = [f_PLm size(shortestpath(f_H,f_Vm(1,i),v),2)];
            f_Pm = [f_Pm shortestpath(f_H,f_Vm(1,i),v)];
        end
        G = addedge(f_H,f_Vm(1,i),u);
    else
        f_B = bfsearch(G,f_Vm(1,i));
        f_p = sum(f_B(:,1)==v);
        if f_p ~= 0
            f_PLm = [f_PLm size(shortestpath(G,f_Vm(1,i),v),2)];
            f_Pm = [f_Pm shortestpath(G,f_Vm(1,i),v)];
        end
    end
end
f_C = [];
for j=1:size(f_PLm,2)
    f_r = sum(f_PLm(1,1:j));
    f_q = f_r - f_PLm(1,j)+1;
    f_C = [f_C; ismember(f_s_path(1,2:end),f_Pm(1,f_q:f_r))];
end
f_D(1,1:(size(f_s_path,2)-1)) = 1;
for k=1:size(f_PLm,2)
    f_D = and(f_D,f_C(k,:));
end
f_E = f_s_path(1,2:end);
f_F = f_E(1,f_D);